org.apache.tomcat.util.descriptor.tld

## Class TldRuleSet.Attribute

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TldRuleSet.Attribute

Enclosing class:
  TldRuleSet

    public static class TldRuleSet.Attribute
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setDeferredMethod()`
`void` `setDeferredValue()`
`void` `setDescription(String description)`
`void` `setExpectedTypeName(String expectedTypeName)`
`void` `setFragment(boolean fragment)`
`void` `setMethodSignature(String methodSignature)`
`void` `setName(String name)`
`void` `setRequestTime(boolean requestTime)`
`void` `setRequired(boolean required)`
`void` `setType(String type)`
`TagAttributeInfo` `toTagAttributeInfo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setName

    public void setName(String name)

#### setRequired

    public void setRequired(boolean required)

#### setType

    public void setType(String type)

#### setRequestTime

    public void setRequestTime(boolean requestTime)

#### setFragment

    public void setFragment(boolean fragment)

#### setDescription

    public void setDescription(String description)

#### setDeferredValue

    public void setDeferredValue()

#### setDeferredMethod

    public void setDeferredMethod()

#### setExpectedTypeName

    public void setExpectedTypeName(String expectedTypeName)

#### setMethodSignature

    public void setMethodSignature(String methodSignature)

#### toTagAttributeInfo

    public TagAttributeInfo toTagAttributeInfo()